Starting imported jail fails because 13.1-RELEASE files are missing

sidela

Cadet
Joined
Mar 8, 2024
Messages
6
Hi everyone
I wanted to upgrade the data pool of my TrueNAS-13.0-U6.1 server from non encrypted to encrypted.
Backuped all data and exported my apache webserver jail, deleted pool and create new one then imported my jail but it won't start because 13.1-RELEASE files are not there.
1709938226543.png


I tried this :
root@...[~]# iocage fetch
[0] 12.4-RELEASE
[1] 13.2-RELEASE
[2] 13.3-RELEASE
[3] 14.0-RELEASE
Type the number of the desired RELEASE
Press [Enter] to fetch the default selection: 13.1-RELEASE
But pressing Enter doesn't work at all.
root@...[~]# iocage fetch -r 13.1-RELEASE
13.1-RELEASE was not found!
No success either...

Is there any other way to fetch 13.1-RELEASE ?
 

Attachments

  • 1709938038831.png
    1709938038831.png
    64.9 KB · Views: 24

sidela

Cadet
Joined
Mar 8, 2024
Messages
6
According to other threads there's absolutely no way to get 13.1-RELEASE files anymore :eek:
I should be abble to get my way through apache and php conf on a new jail but I really have no idea on how to retrieve my piwigo database from old jail...
 
Joined
Oct 22, 2019
Messages
3,641
Why not fetch and upgrade the jails to 13.2-RELEASE?


(Do not upgrade to 13.3-RELEASE until the release of TrueNAS Core 13.3).
 

sidela

Cadet
Joined
Mar 8, 2024
Messages
6
Updating the jail requires existing release files :frown:

Error: mount_nullfs: /mnt/nous/iocage/releases/13.1-RELEASE: No such file or directory jail: ioc-donut: /sbin/mount -t nullfs -o ro /mnt/nous/iocage/releases/13.1-RELEASE/root/bin /mnt/nous/iocage/jails/donut/root/bin: failed
 

sidela

Cadet
Joined
Mar 8, 2024
Messages
6
Solved :cool:

Found an old post from 2019 suggesting an alternative source for releases and this did the trick :
iocage fetch --root-dir /pub/FreeBSD-Archive/old-releases/amd64/ --server ftp-archive.freebsd.org --release 13.1-RELEASE
Downladed 13.1-RELEASE required files and brought that jail back to life. :smile:
Upgraded it to 13.2 (thanks @winnielinnie for the warning about 13.3 version)
 
Top